HTTP::Cookie - Crystal 0.35.1

# class HTTP::Cookie

- HTTP::Cookie
- Reference
- Object

##
Overview

Represents a cookie with all its attributes. Provides convenient access and modification of them.

##
Defined in:

##
Constructors

- .new(name : String, value : String, path : String = "/", expires : Time? = nil, domain : String? = nil, secure : Bool = false, http_only : Bool = false, samesite : SameSite? = nil, extension : String? = nil)

##
Instance Method Summary

- #==(other : self)

  Returns `true` if this reference is the same as other.

- #domain : String?
- #domain=(domain : String?)
- #expired?
- #expires : Time?
- #expires=(expires : Time?)
- #extension : String?
- #extension=(extension : String?)
- #hash(hasher)

  See `Object#hash(hasher)`

- #http_only : Bool
- #http_only=(http_only : Bool)
- #name : String
- #name=(name : String)
- #path : String
- #path=(path : String)
- #samesite : SameSite?
- #samesite=(samesite : SameSite?)
- #secure : Bool
- #secure=(secure : Bool)
- #to_cookie_header(io)
- #to_cookie_header
- #to_set_cookie_header
- #value : String
- #value=(value : String)

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference)
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(*values : Object) : Bool
in?(collection) : Bool in?, inspect : String
inspect(io : IO) : Nil inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO)
to_json to_json, to_pretty_json(io : IO, indent : String = " ")
to_pretty_json(indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

##
Constructor Detail

def self.new(name : String, value : String, path : String = "/", expires : Time? = nil, domain : String? = nil, secure : Bool = false, http_only : Bool = false, samesite : SameSite? = nil, extension : String? = nil) #

##
Instance Method Detail

def ==(other : self) #
Description copied from class Reference

Returns `true` if this reference is the same as other. Invokes `same?`.

def domain : String? #
def domain=(domain : String?) #
def expired? #
def expires : Time? #
def expires=(expires : Time?) #
def extension : String? #
def extension=(extension : String?) #
def hash(hasher) #
Description copied from class Reference

See `Object#hash(hasher)`

def http_only : Bool #
def http_only=(http_only : Bool) #
def name : String #
def name=(name : String) #
def path : String #
def path=(path : String) #
def samesite : SameSite? #
def samesite=(samesite : SameSite?) #
def secure : Bool #
def secure=(secure : Bool) #
def to_cookie_header(io) #
def to_cookie_header #
def to_set_cookie_header #
def value : String #
def value=(value : String) #